document.write("<style>#master{LEFT:-100px;POSITION:absolute;}#menu{LEFT:100px;POSITION:absolute; TOP:76px; Z-INDEX:5}#screen{POSITION:absolute; TOP:31px; Z-INDEX:5}#screenlinks{POSITION:absolute; TOP:30px; VISIBILITY:visible; Z-INDEX:5}</style>")
document.write('<style>#screen{filter:Alpha(Opacity=60)</style>')

var master = new Object("element")
master.curLeft = -100;
master.curTop = 10;

function moveAlong(layerName, paceLeft, paceTop, fromLeft, fromTop){
clearTimeout(eval(layerName).timer)
if(eval(layerName).curLeft != fromLeft){
     if((Math.max(eval(layerName).curLeft, fromLeft) - Math.min(eval(layerName).curLeft, fromLeft)) < paceLeft){eval(layerName).curLeft = fromLeft}
else if(eval(layerName).curLeft < fromLeft){eval(layerName).curLeft = eval(layerName).curLeft + paceLeft}
else if(eval(layerName).curLeft > fromLeft){eval(layerName).curLeft = eval(layerName).curLeft - paceLeft}
document.all[layerName].style.left = eval(layerName).curLeft
}
if(eval(layerName).curTop != fromTop){
     if((Math.max(eval(layerName).curTop, fromTop) - Math.min(eval(layerName).curTop, fromTop)) < paceTop){eval(layerName).curTop = fromTop}
else if(eval(layerName).curTop < fromTop){eval(layerName).curTop = eval(layerName).curTop + paceTop}
else if(eval(layerName).curTop > fromTop){eval(layerName).curTop = eval(layerName).curTop - paceTop}
document.all[layerName].style.top = eval(layerName).curTop
}
eval(layerName).timer=setTimeout('moveAlong("'+layerName+'",'+paceLeft+','+paceTop+','+fromLeft+','+fromTop+')',30)
}

function setPace(layerName, fromLeft, fromTop, motionSpeed){
eval(layerName).gapLeft = (Math.max(eval(layerName).curLeft, fromLeft) - Math.min(eval(layerName).curLeft, fromLeft))/motionSpeed
eval(layerName).gapTop = (Math.max(eval(layerName).curTop, fromTop) - Math.min(eval(layerName).curTop, fromTop))/motionSpeed
moveAlong(layerName, eval(layerName).gapLeft, eval(layerName).gapTop, fromLeft, fromTop)
}

var expandState = 0
function expand(){
if(expandState == 0){setPace("master", 0, 10, 10);
document.menutop.src = "images/toolson.gif"; expandState = 1;}
else{
setPace("master", -100, 10, 10); 
document.menutop.src = "images/toolsoff.gif"; expandState = 0;}
}
document.write("<div id=master><div id=menu onmouseover=javascript:expand()><table border=0 cellpadding=0 cellspacing=0 width=21><tbody><tr><td width=100%><img name=menutop src=images/toolson.gif></td></tr></tbody></table></div><div id=top><table border=0 cellpadding=0 cellspacing=0 width=100></table></div><div id=screenlinks ><table border=0 cellpadding=1 cellspacing=0 width=100 ><tbody><tr><td width=100%><iframe src='friends.asp' width=100% height=516 frameborder=0 marginheight=0 marginwidth=0 scrolling=no></iframe></td></tr></tbody></table></div></div>");
var sidemenu = document.all.master;

function yuzi(){
sidemenu.style.top = document.body.scrollTop+2
}
setInterval("yuzi()",100);
